Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## estella.gui
Class JanelaPrincipal

    java.lang.Object
      estella.cliente.Cliente
          estella.gui.JanelaPrincipal

All Implemented Interfaces:
  java.lang.Runnable

    public class JanelaPrincipal

extends Cliente
implements java.lang.Runnable

Interface grafica

Field Summary
`static javax.swing.JButton` | `botaoAtualizarTabelaArquivos`
`static javax.swing.JButton` | `botaoAumentarRede`
`static javax.swing.JButton` | `botaoBusca`
`static javax.swing.JButton` | `botaoConectar`
`static javax.swing.JButton` | `botaoConectaServent`
`static javax.swing.JButton` | `botaoDesconectar`
`static javax.swing.JButton` | `botaoSair`
`static java.util.Vector` | `colunaTabelaArquivosCompartilhados`
`static java.util.Vector` | `colunaTabelaBusca`
`static java.util.Vector` | `colunaTabelaDownload`
`static java.util.Vector` | `colunaTabelaServents`
`static java.util.Vector` | `colunaTabelaServentsOnline`
`static java.util.Vector` | `colunaTabelaUpload`
`javax.swing.JFrame` | `jFrame`
`static javax.swing.JScrollPane` | `jScrollPane4`
`static javax.swing.JLabel` | `labelArqComp`
`static javax.swing.JLabel` | `labelOnline`
`static javax.swing.JLabel` | `labelServentsOnline`
`static javax.swing.JLabel` | `labelTransferencias`
`static java.util.Vector` | `linhaTabelaArquivosCompartilhados`
`static java.util.Vector` | `linhaTabelaBusca`
`static java.util.Vector` | `linhaTabelaDownload`
`static java.util.Vector` | `linhaTabelaServents`
`static java.util.Vector` | `linhaTabelaServentsOnline`
`static java.util.Vector` | `linhaTabelaUpload`
`static javax.swing.JMenuItem` | `menuConectar`
`static javax.swing.JMenuItem` | `menuDesconectar`
`static javax.swing.JMenuItem` | `menuSair`
`static javax.swing.JTabbedPane` | `tabArquivosCompartilhados`
`static javax.swing.JTable` | `tabelaArquivosCompartilhados`
`static javax.swing.JTable` | `tabelaBusca`
`static javax.swing.JTable` | `tabelaDownload`
`static javax.swing.JTable` | `tabelaServents`
`static javax.swing.JTable` | `tabelaServentsOnline`
`static javax.swing.JTable` | `tabelaUploads`
`static javax.swing.JTextArea` | `textAreaLog`
`static javax.swing.JTextField` | `textBusca`
`static javax.swing.JTextField` | `textIp`
`static javax.swing.JTextField` | `textPorta`

Constructor Summary
`JanelaPrincipal()` Creates new form JanelaPrincipal

Method Summary
`void` | `run()`
`void` | `sair()`

Methods inherited from class estella.cliente.Cliente
`carregaServents, conecta, desconecta, ping, query`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jFrame

    public javax.swing.JFrame jFrame

### linhaTabelaServents

    public static java.util.Vector linhaTabelaServents

### linhaTabelaServentsOnline

    public static java.util.Vector linhaTabelaServentsOnline

### linhaTabelaBusca

    public static java.util.Vector linhaTabelaBusca

### linhaTabelaDownload

    public static java.util.Vector linhaTabelaDownload

### linhaTabelaUpload

    public static java.util.Vector linhaTabelaUpload

### linhaTabelaArquivosCompartilhados

    public static java.util.Vector linhaTabelaArquivosCompartilhados

### colunaTabelaServents

    public static java.util.Vector colunaTabelaServents

### colunaTabelaServentsOnline

    public static java.util.Vector colunaTabelaServentsOnline

### colunaTabelaBusca

    public static java.util.Vector colunaTabelaBusca

### colunaTabelaDownload

    public static java.util.Vector colunaTabelaDownload

### colunaTabelaUpload

    public static java.util.Vector colunaTabelaUpload

### colunaTabelaArquivosCompartilhados

    public static java.util.Vector colunaTabelaArquivosCompartilhados

### botaoConectaServent

    public static javax.swing.JButton botaoConectaServent

### botaoAtualizarTabelaArquivos

    public static javax.swing.JButton botaoAtualizarTabelaArquivos

### botaoAumentarRede

    public static javax.swing.JButton botaoAumentarRede

### botaoBusca

    public static javax.swing.JButton botaoBusca

### botaoConectar

    public static javax.swing.JButton botaoConectar

### botaoDesconectar

    public static javax.swing.JButton botaoDesconectar

### botaoSair

    public static javax.swing.JButton botaoSair

### jScrollPane4

    public static javax.swing.JScrollPane jScrollPane4

### labelArqComp

    public static javax.swing.JLabel labelArqComp

### labelOnline

    public static javax.swing.JLabel labelOnline

### labelServentsOnline

    public static javax.swing.JLabel labelServentsOnline

### labelTransferencias

    public static javax.swing.JLabel labelTransferencias

### menuConectar

    public static javax.swing.JMenuItem menuConectar

### menuDesconectar

    public static javax.swing.JMenuItem menuDesconectar

### menuSair

    public static javax.swing.JMenuItem menuSair

### tabArquivosCompartilhados

    public static javax.swing.JTabbedPane tabArquivosCompartilhados

### tabelaArquivosCompartilhados

    public static javax.swing.JTable tabelaArquivosCompartilhados

### tabelaBusca

    public static javax.swing.JTable tabelaBusca

### tabelaDownload

    public static javax.swing.JTable tabelaDownload

### tabelaServents

    public static javax.swing.JTable tabelaServents

### tabelaServentsOnline

    public static javax.swing.JTable tabelaServentsOnline

### tabelaUploads

    public static javax.swing.JTable tabelaUploads

### textAreaLog

    public static javax.swing.JTextArea textAreaLog

### textBusca

    public static javax.swing.JTextField textBusca

### textIp

    public static javax.swing.JTextField textIp

### textPorta

    public static javax.swing.JTextField textPorta

Constructor Detail

### JanelaPrincipal

    public JanelaPrincipal()

  Creates new form JanelaPrincipal

Method Detail

### sair

    public void sair()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD